This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1474108 - eog fails to display black and white jpegs with latest gdb-pixbuf2
eog fails to display black and white jpegs with latest gdb-pixbuf2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdk-pixbuf2 (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-23 19:38 EDT by Tom Hughes
Modified: 2017-08-16 10:27 EDT (History)
6 users (show)

See Also:
Fixed In Version: gdk-pixbuf2-2.36.8-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-16 10:10:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image that fails to load (22.49 KB, image/jpeg)
2017-07-23 19:38 EDT, Tom Hughes
no flags Details

  None (edit)
Description Tom Hughes 2017-07-23 19:38:09 EDT
Created attachment 1303370 [details]
Image that fails to load

Description of problem:

After updating to gdk-pixbuf2 2.36.7 eog is no longer able to open black and white jpeg images, erroring out with:

"Unsupported number of color components (1)"

when used on an image that file identifies as:

JPEG image data, JFIF standard 1.02, aspect ratio, density 1x1, segment length 16, baseline, precision 8, 7746x6558, frames 1

a full colour image (with frames 3) displays correctly.

An example image that fails to display is attached.

Version-Release number of selected component (if applicable):

gdk-pixbuf2-2.36.7-1.fc26.x86_64
Comment 1 Tom Hughes 2017-07-23 19:39:57 EDT
Downgrading to gdk-pixbuf2-2.36.6-1.fc26.x86_64 fixes the problem.
Comment 2 Eddy 2017-07-30 01:05:07 EDT
This is already fixed upstream: https://bugzilla.gnome.org/show_bug.cgi?id=785171

I guess it needs to be backported.
Comment 3 Andrea Vai 2017-08-02 06:41:31 EDT
Same issue with eog in Fedora 25
Comment 4 paul59584 2017-08-06 03:50:59 EDT
For F25, the upstream fix is still NOT included in gdk-pixbuf2 2.36.7-2.fc25  

https://git.gnome.org/browse/gdk-pixbuf/commit/?id=6dd89e1
Comment 5 Joachim Backes 2017-08-08 07:23:23 EDT
(In reply to Tom Hughes from comment #1)
> Downgrading to gdk-pixbuf2-2.36.6-1.fc26.x86_64 fixes the problem.

Installing gdk-pixbuf2-2.36.8-1.fc26 from koji (https://koji.fedoraproject.org/koji/packageinfo?packageID=10563) fixes it.

Note You need to log in before you can comment on or make changes to this bug.